Page MenuHomePhabricator

Running deleteEqualMessages.php causes "WikiPage::doDeleteArticleReal: Transaction already in progress"
Closed, ResolvedPublic

Description

channel: wfLogDBError
method: DatabaseBase::begin
message: WikiPage::doDeleteArticleReal: Transaction already in progress (from WikiPage::doDeleteArticleReal), performing implicit commit!

Whenever the deleteEqualMessages.script is run with --delete, this error appears hundreds of times in the Kibana "wfLogDBError" dashboard (depending on how many delete actions it performs, presumably once for each action?).

https://logstash.wikimedia.org/#dashboard/temp/AU9lieX9OkQDz4dSYD9b

Event Timeline

Krinkle created this task.Aug 25 2015, 3:42 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added subscribers: Krinkle, aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 3:42 PM
Krinkle updated the task description. (Show Details)Aug 25 2015, 3:44 PM
Krinkle set Security to None.
Krinkle removed a subscriber: jcrespo.
jcrespo updated the task description. (Show Details)
jcrespo added a subscriber: jcrespo.

It also causes a spike of these, coming from the same PHP process:

Memcached error for key "frwiki:messages:fr:lock" on server "127.0.0.1:11212": A TIMEOUT OCCURRED
Memcached error for key "frwiki:messages:fr:lock" on server "127.0.0.1:11212": A TIMEOUT OCCURRED
Memcached error for key "frwiki:messages:fr:lock" on server "127.0.0.1:11212": A TIMEOUT OCCURRED

And even a small number of these:

Memcached error for key "WANCache:v:frwiki:image_redirect:58cab542a1ccb6b693190ff1ac7bad0d" on server "127.0.0.1:11212": A TIMEOUT OCCURRED

No idea how this script is invoking image_redirect handling, but it does apparently, somehow.

It seems the memcached issues are specific to running the script on tin (T103198). When running on terbium, those errors don't happen. However the original reported in this task still happens:

host: terbium
message: WikiPage::doDeleteArticleReal: Transaction already in progress (from WikiPage::doDeleteArticleReal), performing implicit commit!

aaron added a comment.Aug 25 2015, 9:11 PM

Is some extension triggering a page deletion inside a page deletion?

Change 233909 had a related patch set uploaded (by PleaseStand):
deleteEqualMessages.php: Avoid "Transaction already in progress" warning

https://gerrit.wikimedia.org/r/233909

Change 233909 merged by jenkins-bot:
deleteEqualMessages.php: Avoid "Transaction already in progress" warning

https://gerrit.wikimedia.org/r/233909

Change 234014 had a related patch set uploaded (by Krinkle):
deleteEqualMessages.php: Avoid "Transaction already in progress" warning

https://gerrit.wikimedia.org/r/234014

Change 234015 had a related patch set uploaded (by Krinkle):
deleteEqualMessages.php: Avoid "Transaction already in progress" warning

https://gerrit.wikimedia.org/r/234015

Change 234014 merged by jenkins-bot:
deleteEqualMessages.php: Avoid "Transaction already in progress" warning

https://gerrit.wikimedia.org/r/234014

Change 234015 merged by jenkins-bot:
deleteEqualMessages.php: Avoid "Transaction already in progress" warning

https://gerrit.wikimedia.org/r/234015

demon triaged this task as Normal priority.Sep 1 2015, 5:35 PM
demon added a subscriber: demon.
Krinkle closed this task as Resolved.Oct 20 2015, 4:09 PM
Krinkle claimed this task.